local Aloft = Aloft
if not Aloft then return end
local AloftModules = AloftModules
if not AloftModules then return end
if not AloftLocale or not AloftLocale.AloftModules then return end

-----------------------------------------------------------------------------

local L = { }

local mL = AloftLocale.AloftModules

-----------------------------------------------------------------------------

AloftLocale.AloftFactionFilter = { }
AloftLocale.AloftFactionFilter["default"] = { }

local fL = AloftLocale.AloftFactionFilter["default"]

-----------------------------------------------------------------------------

AloftModules:AddInitializer("AloftFaction", function()

-----------------------------------------------------------------------------

local locale = GetLocale()

-----------------------------------------------------------------------------

if locale ~= "enUS" then
	AloftLocale.AloftFactionFilter[locale] = { }
	fL = AloftLocale.AloftFactionFilter[locale]
end

-----------------------------------------------------------------------------

-- TODO: on the surface, this wastes space in the enUS locale; the metatable could just return the canonical string as the localization;
--       BUT, this serves as a default locale, and also will permit the metatable to check/notify on missing locale strings


-----------------------------------------------------------------------------

--[[ enUS ]] L["Save Faction Data"] = "Save Faction Data"
--[[ enUS ]] L["Stores faction data between sessions"] = "Stores faction data between sessions"

--[[ enUS ]] L["Unknown"]	= "Unknown" -- unit name for "Unknown" units
--[[ enUS ]] L["Level"]	= "Level"

--[[ enUS ]] fL["Threat"] = "Threat"
--[[ enUS ]] fL["PvP"]	= "PvP"
--[[ enUS ]] fL["^Requires "] = "^Requires "

-----------------------------------------------------------------------------

end)

-----------------------------------------------------------------------------

--[[ enUS ]] mL["AloftFaction"] = "AloftFaction"
--[[ enUS ]] mL["Gather faction data"] = "Gather faction data"

-----------------------------------------------------------------------------

if (locale == "koKR") then

-----------------------------------------------------------------------------

AloftModules:AddInitializer("AloftFaction", function()

-----------------------------------------------------------------------------

--[[ koKR ]] L["Save Faction Data"] = "Save Faction Data"
--[[ koKR ]] L["Stores faction data between sessions"] = "Stores faction data between sessions"

--[[ koKR ]] L["Unknown"]	= "Unknown" -- unit name for "Unknown" units
--[[ koKR ]] L["Level"]	= "Level"

--[[ koKR ]] fL["Threat"] = "Threat"
--[[ koKR ]] fL["PvP"]	= "PvP"
--[[ koKR ]] fL["^Requires "] = "^Requires "

-----------------------------------------------------------------------------

end)

-----------------------------------------------------------------------------

--[[ koKR ]] mL["AloftFaction"] = "AloftFaction"
--[[ koKR ]] mL["Gather faction data"] = "Gather faction data"

-----------------------------------------------------------------------------

elseif (locale == "ruRU") then

-----------------------------------------------------------------------------

AloftModules:AddInitializer("AloftFaction", function()

-----------------------------------------------------------------------------

--[[ ruRU ]] L["Save Faction Data"] = "Save Faction Data"
--[[ ruRU ]] L["Stores faction data between sessions"] = "Stores faction data between sessions"

--[[ ruRU ]] L["Unknown"]	= "Unknown" -- unit name for "Unknown" units
--[[ ruRU ]] L["Level"]	= "Level"

--[[ ruRU ]] fL["Threat"] = "Threat"
--[[ ruRU ]] fL["PvP"]	= "PvP"
--[[ ruRU ]] fL["^Requires "] = "^Requires "

-----------------------------------------------------------------------------

end)

-----------------------------------------------------------------------------

--[[ ruRU ]] mL["AloftFaction"] = "AloftFaction"
--[[ ruRU ]] mL["Gather faction data"] = "Gather faction data"

-----------------------------------------------------------------------------

elseif (locale == "zhCN") then

-----------------------------------------------------------------------------

AloftModules:AddInitializer("AloftFaction", function()

-----------------------------------------------------------------------------

--[[ zhCN ]] L["Save Faction Data"] = "Save Faction Data"
--[[ zhCN ]] L["Stores faction data between sessions"] = "Stores faction data between sessions"

--[[ zhCN ]] L["Unknown"]	= "Unknown" -- unit name for "Unknown" units
--[[ zhCN ]] L["Level"]	= "Level"

--[[ zhCN ]] fL["Threat"] = "Threat"
--[[ zhCN ]] fL["PvP"]	= "PvP"
--[[ zhCN ]] fL["^Requires "] = "^Requires "

-----------------------------------------------------------------------------

end)

-----------------------------------------------------------------------------

--[[ zhCN ]] mL["AloftFaction"] = "AloftFaction"
--[[ zhCN ]] mL["Gather faction data"] = "Gather faction data"

-----------------------------------------------------------------------------

elseif (locale == "zhTW") then

-----------------------------------------------------------------------------

AloftModules:AddInitializer("AloftFaction", function()

-----------------------------------------------------------------------------

--[[ zhTW ]] L["Save Faction Data"] = "Save Faction Data"
--[[ zhTW ]] L["Stores faction data between sessions"] = "Stores faction data between sessions"

--[[ zhTW ]] L["Unknown"]	= "Unknown" -- unit name for "Unknown" units
--[[ zhTW ]] L["Level"]	= "Level"

--[[ zhTW ]] fL["Threat"] = "Threat"
--[[ zhTW ]] fL["PvP"]	= "PvP"
--[[ zhTW ]] fL["^Requires "] = "^Requires "

-----------------------------------------------------------------------------

end)

-----------------------------------------------------------------------------

--[[ zhTW ]] mL["AloftFaction"] = "AloftFaction"
--[[ zhTW ]] mL["Gather faction data"] = "Gather faction data"

-----------------------------------------------------------------------------

end

-----------------------------------------------------------------------------

AloftModules:AddInitializer("AloftFaction", function()

-----------------------------------------------------------------------------

AloftLocale.AloftFactionData = setmetatable(L, { __index = function(t, k) rawset(t, k, k) error("Aloft: No translation found for '" .. k .. "'") return k end })
L = nil

-----------------------------------------------------------------------------

end)

-----------------------------------------------------------------------------
